#!/usr/bin/perl


use Geo::GDAL;
use Geo::OGR;

my $x = 10000.0;
my $y = 20000.0;

$inOSR = Geo::OSR::SpatialReference->new();
$inOSR->ImportFromEPSG(3395);

$outOSR = Geo::OSR::SpatialReference->new();
$outOSR->ImportFromEPSG(4326);

my $transf = new Geo::OSR::CoordinateTransformation( $inOSR, $outOSR );
my $res = $transf->TransformPoint( $x, $y);

print $res->[0] . ',' . $res->[1] . ',' . $res->[2];


