#!/usr/bin/perl


use Geo::GDAL;
use Geo::OGR;

my $x = 1.0;
my $y = 2.0;

$inOSR = Geo::OSR::SpatialReference->new();
$inOSR->ImportFromEPSG(2392);

$outOSR = Geo::OSR::SpatialReference->new();
$outOSR->ImportFromEPSG(4326);

my $transf = new Geo::OSR::CoordinateTransformation( $inOSR, $outOSR );
my ($x1,$y1) = $transf->TransformPoint( $x, $y);

print $x. ",". $y . '=>' . $x1 . ',' . $x2;

# shows array in $x1
foreach my $tPt ($x1) {
    print $tPt . " ";
}
#real values
print $x1->[0] . ',' . $x1->[1] . ',' . $x1->[2];


